unit UnitMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, Menus, ImgList, ComCtrls, ToolWin, StdCtrls;

type
  TFormMain = class(TForm)
    Status: TStatusBar;
    ToolBar: TToolBar;
    tbDisp: TToolButton;
    ImageList: TImageList;
    MainMenu: TMainMenu;
    ActionList: TActionList;
    Open: TOpenDialog;
    Save: TSaveDialog;
    mFile: TMenuItem;
    mHelp: TMenuItem;
    ControlBox: TGroupBox;
    ObjectBox: TGroupBox;
    acNew: TAction;
    acOpen: TAction;
    acSave: TAction;
    tbNew: TToolButton;
    tbOpen: TToolButton;
    tbSave: TToolButton;
    mNew: TMenuItem;
    mOpen: TMenuItem;
    mSave: TMenuItem;
    mSep: TMenuItem;
    mExit: TMenuItem;
    mHelpAbout: TMenuItem;
    acRun: TAction;
    tbSpace: TToolButton;
    tbRun: TToolButton;
    procedure FormActivate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure acNewExecute(Sender: TObject);
    procedure acOpenExecute(Sender: TObject);
    procedure acSaveExecute(Sender: TObject);
    procedure mExitClick(Sender: TObject);
    procedure mHelpAboutClick(Sender: TObject);
    procedure acRunExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

uses UAbout, UMyClass;

{$R *.dfm}

////////////////////////////////////////////////////////////////
//                                            //
////////////////////////////////////////////////////////////////

procedure TFormMain.FormActivate(Sender: TObject);  //  
begin
     //     
     Open.InitialDir:=ExtractFileDir(Application.ExeName);
     Save.InitialDir:=Open.InitialDir;
end;

procedure TFormMain.FormPaint(Sender: TObject);  //  
begin
     //      ""   
end;

procedure TFormMain.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     //        
end;


////////////////////////////////////////////////////////////////
//                                            //
////////////////////////////////////////////////////////////////

procedure TFormMain.acNewExecute(Sender: TObject);  // 
begin
     Status.Panels.Items[0].Text:='';
end;

procedure TFormMain.acOpenExecute(Sender: TObject);  // 
begin
     if not Open.Execute then Exit;
     Status.Panels.Items[0].Text:=Open.FileName;
end;

procedure TFormMain.acSaveExecute(Sender: TObject);  // 
begin
     if not Save.Execute then Exit;
     Status.Panels.Items[0].Text:=Save.FileName;
end;

procedure TFormMain.mExitClick(Sender: TObject);  // 
begin
     Close;
end;

procedure TFormMain.mHelpAboutClick(Sender: TObject);  //  
begin
     FormAbout.Left:=(FormMain.Width-FormAbout.Width) div 2;
     FormAbout.Top:=(FormMain.Height-FormAbout.Height) div 2;
     FormAbout.ShowModal;
end;

procedure TFormMain.acRunExecute(Sender: TObject);  // 
begin
     MyObject.Run;  //    
end;

end.
